Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.interceptor
Enum InterceptorChain.State

    java.lang.Object
      java.lang.Enum<InterceptorChain.State>
          org.apache.cxf.interceptor.InterceptorChain.State

All Implemented Interfaces:
  Serializable, Comparable<InterceptorChain.State>

Enclosing interface:
  InterceptorChain

    public static enum InterceptorChain.State

extends Enum<InterceptorChain.State>

Enum Constant Summary
`ABORTED`
`COMPLETE`
`EXECUTING`
`PAUSED`
`SUSPENDED`

Method Summary
`static InterceptorChain.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InterceptorChain.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PAUSED

    public static final InterceptorChain.State PAUSED

### SUSPENDED

    public static final InterceptorChain.State SUSPENDED

### EXECUTING

    public static final InterceptorChain.State EXECUTING

### COMPLETE

    public static final InterceptorChain.State COMPLETE

### ABORTED

    public static final InterceptorChain.State ABORTED

Method Detail

### values

    public static final InterceptorChain.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InterceptorChain.State c : InterceptorChain.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InterceptorChain.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF